%define pkg    CEGUI
%define ver    0.7.6
%define abiv   0.7.4


Summary:       The Crazy Eddie's Gui System Mk-2
Name:          %{pkg}
Version:       %{ver}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         System Environment/Libraries
Source0:       http://prdownloads.sourceforge.net/crayzedsgui/%{pkg}-%{ver}.tar.gz
Source1:       http://prdownloads.sourceforge.net/crayzedsgui/%{pkg}-DOCS-%{ver}.tar.gz
URL:           http://www.cegui.org.uk/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The CEGUI Team <team@cegui.org.uk>
BuildRequires: FreeImage-devel expat-devel fribidi-devel >= 0.10
BuildRequires: freeglut-devel freetype-devel >= 0.15.0 lua-devel
BuildRequires: libxml2-devel >= 2.6 mesa-libGLU-devel zlib-devel
BuildRequires: pcre-devel >= 5.0

%description
CEGUI stands for Crazy Eddie's Gui System; a free library providing windowing
and widgets for graphics APIs/engines where such functionality is not natively
available, or severely lacking. The library is object orientated, written in
C++, and primarily targeted at games developers who should be spending their
time creating great games, not building GUI sub-systems.


%package       devel
Summary:       Development tools for %{pkg}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      FreeImage-devel expat-devel fribidi-devel
Requires:      freeglut-devel freetype-devel lua-devel
Requires:      libxml2-devel mesa-libGLU-devel zlib-devel
Requires:      pcre-devel pkgconfig

%description   devel
The %{name}-devel package contains the static libraries and header files for
developing software using %{pkg}.


%package       doc
Summary:       The %{pkg} documentation
Group:         Documentation

%description   doc
The %{name}-doc package contains the complete %{pkg} documentation in HTML
format.


%prep
%setup -q -a 1


%build
BuildLib() {
  %{__mkdir} ${1}
  pushd ${1}

  %{__ln_s} -f ../configure .
  %configure \
	--enable-opengl-renderer           \
	--enable-null-renderer             \
	--enable-freeimage                 \
	--enable-tga                       \
	--enable-stb                       \
	--enable-lua-module                \
	--enable-safe-lua-module           \
	--enable-toluacegui                \
	--enable-bidirectional-text        \
	--enable-minizip-resource-provider \
	--disable-xerces-c                 \
	--disable-rapidxml                 \
	--disable-corona                   \
	--disable-devil                    \
	--disable-silly                    \
	--disable-external-tinyxml         \
	--disable-external-glew            \
	--disable-ogre-renderer            \
	--disable-irrlicht-renderer        \
	--disable-directfb-renderer        \
	--disable-external-toluapp         \
	--disable-python-module            \
	--disable-samples                  \
	--with-version-suffix=%{abiv}      \
	${2}

  %{__make} %{?_smp_mflags}
  popd
}

BuildLib "obj-static" "--enable-static --disable-shared"
BuildLib "obj-shared" "--enable-shared --disable-static"


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

for BLDDIR in obj-static obj-shared; do
  pushd ${BLDDIR}
  %{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install
  popd
done


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc doc/{COPYING,README,*-LICENSE,*-License,*-license}
%{_libdir}/libCEGUIBase-%{abiv}.so
%{_libdir}/libCEGUIExpatParser-%{abiv}.so
%{_libdir}/libCEGUIFalagardWRBase-%{abiv}.so
%{_libdir}/libCEGUIFreeImageImageCodec-%{abiv}.so
%{_libdir}/libCEGUILibxmlParser-%{abiv}.so
%{_libdir}/libCEGUILuaScriptModule-%{abiv}.so
%{_libdir}/libCEGUINullRenderer-%{abiv}.so
%{_libdir}/libCEGUIOpenGLRenderer-%{abiv}.so
%{_libdir}/libCEGUISTBImageCodec-%{abiv}.so
%{_libdir}/libCEGUITGAImageCodec-%{abiv}.so
%{_libdir}/libCEGUITinyXMLParser-%{abiv}.so
%{_libdir}/libCEGUItoluapp-%{abiv}.so

%files devel
%defattr(-,root,root)
%{_bindir}/tolua++cegui
%{_includedir}/%{pkg}
%{_libdir}/libCEGUIBase.*a
%{_libdir}/libCEGUIBase.so
%{_libdir}/libCEGUIExpatParser.*a
%{_libdir}/libCEGUIExpatParser.so
%{_libdir}/libCEGUIFalagardWRBase.*a
%{_libdir}/libCEGUIFalagardWRBase.so
%{_libdir}/libCEGUIFreeImageImageCodec.*a
%{_libdir}/libCEGUIFreeImageImageCodec.so
%{_libdir}/libCEGUILibxmlParser.*a
%{_libdir}/libCEGUILibxmlParser.so
%{_libdir}/libCEGUILuaScriptModule.*a
%{_libdir}/libCEGUILuaScriptModule.so
%{_libdir}/libCEGUINullRenderer.*a
%{_libdir}/libCEGUINullRenderer.so
%{_libdir}/libCEGUIOpenGLRenderer.*a
%{_libdir}/libCEGUIOpenGLRenderer.so
%{_libdir}/libCEGUISTBImageCodec.*a
%{_libdir}/libCEGUISTBImageCodec.so
%{_libdir}/libCEGUITGAImageCodec.*a
%{_libdir}/libCEGUITGAImageCodec.so
%{_libdir}/libCEGUITinyXMLParser.*a
%{_libdir}/libCEGUITinyXMLParser.so
%{_libdir}/libCEGUItoluapp.*a
%{_libdir}/libCEGUItoluapp.so
%{_libdir}/pkgconfig/%{pkg}-OPENGL.pc
%{_libdir}/pkgconfig/%{pkg}.pc
%{_datadir}/%{pkg}

%files doc
%defattr(-,root,root)
%doc docs/*


%changelog
* Tue Mar 20 2012 Peter Pramberger <peterpramb@member.fsf.org> - 0.7.6-1
- New version (0.7.6)

* Mon Mar 07 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.7.5-2
- Rebuild to fix conflicts with other CEGUI packages

* Tue Mar 01 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.7.5-1
- Initial build
